tifm_ms: Unknown symbol tifm_has_ms_pif / Sony Memory Stick is not recognized

Bug #159951 reported by Fırat Küçük on 2007-11-04
130
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Medium
linux (Ubuntu)
Medium
Tim Gardner
Karmic
Medium
Tim Gardner
linux-ubuntu-modules-2.6.22 (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Sony Memory Stick Card Does not work on ubuntu gutsy (possibly also hardy - see recent updates).

-------------------
minik:/lib/modules/2.6.22-14-generic/ubuntu/misc/tifm# lspci|grep CardBus
03:0b.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
----------------
/dev/kern.log:

Nov 4 13:59:55 minik kernel: [ 4201.312000] tifm_core: MemoryStick card detected in socket 0:0
Nov 4 13:59:55 minik kernel: [ 4201.316000] tifm_ms: Unknown symbol tifm_has_ms_pif

nathanlanham (natelanham) wrote :

i would also lik to report this however im not really sure it is supposed to support MMS at this point...

im running 2.6.22.14-generic

Toshiba p-105

lspic:

home@home-laptop:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
0a:04.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
0a:04.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
0a:04.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
0a:04.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller
0a:08.0 Ethernet controller: Intel Corporation PRO/100 VE Network Connection (rev 02)

dmesg: (with stick in)
[ 3869.096000] tifm_core: MemoryStick card detected in socket 0:0
[ 3869.180000] tifm_ms: Unknown symbol tifm_has_ms_pif

dviejo (dviejo) wrote :

I have the same problem, but with a vaio sz

same on vaio fs, ubuntu gutsy

getaceres (getaceres) wrote :

I can confirm it on a VAIO FE31Z.

treydo (treydo) wrote :

same problem on vaio PCG and Acer Aspire 5040

dark (pwnedbydark) wrote :

i have same problem in Sony Vaio VGN-CR14GN series

Antonio Costa (joozan) wrote :

Hi all

I have the same problem on a Toshiba A100-166.

antonio@antonio-laptop:~$ sudo tail -f /var/log/messages
(got these messages when I inserted the Memory Stick)
Dec 23 03:55:52 antonio-laptop kernel: [ 369.500000] tifm_core: MemoryStick card detected in socket 0:0
Dec 23 03:55:52 antonio-laptop kernel: [ 369.580000] tifm_ms: Unknown symbol tifm_has_ms_pif

antonio@antonio-laptop:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X1400
05:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
07:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
07:06.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
07:06.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
07:06.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller
07:08.0 Ethernet controller: Intel Corporation PRO/100 VE Network Connection (rev 02)

Mariusz Kielpinski (kielpi) wrote :

I can confirm the same error on Benq R55 Joybook
Kernel version 2.6.22-14-generic

lscpi output

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1)
02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
04:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 10)
05:01.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
05:01.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
05:01.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
05:01.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

The same on a Vaio VGN-SZ2M/B.

Same problem on a Vaio PCG-K315Z

Big-Boogi (t-boockmann) wrote :

Same Problem on a Vaio VGN-FZ21M

joss (joss-markham) wrote :

Same on Acer TravelMate 3040.

Card reader is:
                description: Mass storage controller
                product: 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
                vendor: Texas Instruments
                physical id: 9.2
                bus info: pci@0000:0a:09.2
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: storage pm bus_master cap_list
                configuration: driver=tifm_7xx1 latency=57 maxlatency=4 mingnt=7 module=tifm_7xx1

Changed in linux-ubuntu-modules-2.6.22:
status: New → Incomplete
Sven Heyll (sven-heyll) wrote :

Same on Toshiba Portege R500, Gutsy Gibbon.

Ollie Cronk (oliver-cronky) wrote :

Same on Sony Vaio SZ3HP using a Memory Stick Micro card (M2) (Sony 1GB) in a Micro MS to MS Duo adapter (MSAC-MMD).

relevant dmesg output:
[10321.605008] tifm_core: MemoryStick card detected in socket 0:0
[10321.611165] tifm_ms: Unknown symbol tifm_has_ms_pif

lspci:
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1)
06:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
07:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8036 PCI-E Fast Ethernet Controller (rev 15)
09:04.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
09:04.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
09:04.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)

Let me know if there is anything else I can send to help fix this.

Ollie Cronk (oliver-cronky) wrote :

Unless I am making a newbie error surely this must be confirmed with so many others being able to recreate the bug?

Changed in linux-ubuntu-modules-2.6.22:
status: Incomplete → Confirmed
samotham (samotham) wrote :

exactly the same on a sony vaio k115s

Colin Ian King (colin-king) wrote :

The Hardy Heron Alpha series was recently released which contains an
updated version of the kernel. You can download and try the new Hardy
Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ .
You should be able to then test the new kernel via the LiveCD. If you
can, please verify if this bug still exists or not and report back your
results. General information regarding the release can also be found
here: http://www.ubuntu.com/testing/ . Thanks.

Ollie Cronk (oliver-cronky) wrote :
Download full text (3.2 KiB)

Thanks Colin,

I have tried both the LiveCD and doing a dist-upgrade to 8.04 but now I just get:

tifm_core: MemoryStick card detected in socket 0:0

I've tried an insmod tifm_ms (guessing that module is needed for the memory stick card but get insmod: can't read 'tifm_ms': No such file or directory

More output in case it helps:

lspci:
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1)
06:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
07:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8036 PCI-E Fast Ethernet Controller (rev 15)
09:04.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
09:04.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
09:04.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)

fdisk -l (no mention of another drive)

Disk /dev/sda: 100.0 GB, 100030242816 bytes
255 heads, 63 sectors/track, 12161 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xfd00bd36

   Device Boot Start End Blocks Id System
/dev/sda1 * 1 8337 66964480 7 HPFS/NTFS
/dev/sda2 8338 8349 96390 83 Linux
/dev/sda3 8350 8446 779152+ 82 Linux swap / Solaris
/dev/sda4 8447 12161 29840737+ 83 Linux

If there is anything else I can run or try out (my personal laptop can be quite experimental - as it dual boots Vista (which is far less stable/robust than the Alpha of 8.04 - whic...

Read more...

description: updated
getaceres (getaceres) wrote :

Tried with Hardy Alpha 6 Live CD. I have the same problem above. All I see in /var/log/messages is:

Mar 15 13:32:11 ubuntu kernel: [ 1685.555405] tifm_core: MemoryStick card detected in socket 0:0

But the memory stick is not mounted.
Using a Sony VAIO FE31Z.

Same Problem on an Acer Aspire 9410z

h4p0 (h4p0n3) wrote :

Same on a Vaio VGN-N21S ....

sd card reader works well but not mmc reader
dmesg:
tifm_core: MemoryStick card detected in socket 0:0 #when I insert an MMC card

tifm0 : demand removing card from socket 0:0 #when I remove it

nothing more...

joss (joss-markham) wrote :

Confirming same prob on Acer TravelMate 3040 (spec as above) after upgrading to Hardy (8.04).

dmesg shows only:
tifm_core: MemoryStick card detected in socket 0:0

Cheers

BandD (swords-into-plowshares) wrote :

Same problem here on Vaio FS620

lspci:

06:03.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
06:03.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port PHY/Link-Layer Controller
06:03.3 Mass storage controller: Texas Instruments PCI7420/7620 Combo CardBus, 1394a-2000 OHCI and SD/MS-Pro Controller

dmesg:

[ 328.189111] tifm_core: MemoryStick card detected in socket 0:1
[ 330.487778] tifm0 : demand removing card from socket 0:1

But unable to mount.

The kicker for me is that this worked flawlessly out of the box in Gutsy.

Found possible fix for Hardy users can be found here:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/222557

It worked for me. Now the MemStick Pro card mounts automatically!

i update ubuntu to Hardy and now mount Memory Stick automatically without problems.

My info:
Lantop: Vaio VGN-SZ2XP
kernel: 2.6.24-16-generic
tifm_core: v. 0.8

when i connect a memory stick dmesg say:
[ 5704.151666] tifm_core: MemoryStick card detected in socket 0:0
[ 5704.481077] tifm0 : demand removing card from socket 0:0
[ 5705.453206] tifm_core: MemoryStick card detected in socket 0:0
[ 5724.245670] tifm0 : demand removing card from socket 0:0
[ 5760.004442] usb 5-4: USB disconnect, address 3
[ 5761.595213] usb 5-4: new high speed USB device using ehci_hcd and address 7
[ 5761.790596] usb 5-4: configuration #1 chosen from 1 choice
[ 5761.790791] scsi5 : SCSI emulation for USB Mass Storage devices
[ 5761.791013] usb-storage: device found at 7
[ 5761.791018] usb-storage: waiting for device to settle before scanning
[ 5766.786932] usb-storage: device scan complete
[ 5766.791775] scsi 5:0:0:0: Direct-Access Sony USB HS-CARD 4.52 PQ: 0 ANSI: 0
[ 5767.824058] sd 5:0:0:0: [sdb] 955392 512-byte hardware sectors (489 MB)
[ 5767.834287] sd 5:0:0:0: [sdb] Write Protect is off
[ 5767.834295] sd 5:0:0:0: [sdb] Mode Sense: 87 00 00 00
[ 5767.834299] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[ 5767.844889] sd 5:0:0:0: [sdb] 955392 512-byte hardware sectors (489 MB)
[ 5767.855120] sd 5:0:0:0: [sdb] Write Protect is off
[ 5767.855127] sd 5:0:0:0: [sdb] Mode Sense: 87 00 00 00
[ 5767.855131] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[ 5767.855137] sdb: sdb1
[ 5767.857676] sd 5:0:0:0: [sdb] Attached SCSI removable disk
[ 5767.857752] sd 5:0:0:0: Attached scsi generic sg2 type 0

travellinggreg (geliovson) wrote :

Same on Advent 7036:

kernel: 2.6.24-16-generic
tifm_core: unsure of version

00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82865G/PE/P PCI to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
00:1f.6 Modem: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Modem Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV34GLM [GeForce FX Go 5300] (rev a1)
03:04.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
03:04.1 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
03:04.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port PHY/Link-Layer Controller
03:04.3 Mass storage controller: Texas Instruments PCI7420/7620 Combo CardBus, 1394a-2000 OHCI and SD/MS-Pro Controller
03:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
03:06.0 Network controller: Intersil Corporation ISL3890 [Prism GT/Prism Duette]/ISL3886 [Prism Javelin/Prism Xbow] (rev 01)

getaceres (getaceres) wrote :

I have a Sony Vaio FE31Z with Intrepid and I can't mount the memory stick (I couldn't mount it with any previous Ubuntu version also).

I get the following message:
Aug 20 23:45:37 ubuntu-vaio klogd: [ 1187.114327] tifm_core: MemoryStick card detected in socket 0:0

But nothing else happens.

bemous (bemous) wrote :

It's the same with sony vaio vgn-fe31m, intrepid Ibex:

muss@myserver:~$ tail -f /var/log/messages
Oct 24 17:33:53 myserver kernel: [31669.585969] iwl3945 0000:06:00.0: PCI INT A disabled
Oct 24 17:34:03 myserver kernel: [31679.470054] usb 3-1: new full speed USB device using uhci_hcd and address 5
Oct 24 17:34:03 myserver kernel: [31679.674289] usb 3-1: configuration #1 chosen from 1 choice
Oct 24 17:46:49 myserver -- MARK --
Oct 24 17:46:53 myserver kernel: [32448.770955] type=1503 audit(1224870413.045:27): operation="inode_permission" requested_mask="::r" denied_mask="::r" fsuid=105 name="/proc/5199/net/if_inet6" pid=5201 profile="/usr/sbin/named"
Oct 24 17:48:34 myserver kernel: [32550.020055] tifm_core: MemoryStick card detected in socket 0:0
Oct 24 18:06:49 myserver -- MARK --
Oct 24 18:26:49 myserver -- MARK --
Oct 24 18:33:09 myserver kernel: [35224.990665] tifm0 : demand removing card from socket 0:0
Oct 24 18:33:22 myserver kernel: [35238.092600] tifm_core: MemoryStick card detected in socket 0:0

but i can do any thing on the disk!

Aidan Fitzpatrick (afit) wrote :

I believe the specific error first reported in this bug "Unknown symbol tifm_has_ms_pif" has gone with the moves to Hardy, Intrepid, Jaunty. The later tifm messages look like duplicates of #222557.

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
linux-ubuntu-modules-2.6.22 task. It would be helpful if you could test the
new Jaunty Jackalope 9.04 release and confirm if this issue remains -
http://www.ubuntu.com/getubuntu/releasenotes/904overview. If the issue still exists with the Jaunty
release, please update this report by changing the Status of the "linux (Ubuntu)"
task from "Incomplete" to "New". Thanks in advance.

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Confirmed → Won't Fix
Changed in linux (Ubuntu):
status: New → Incomplete
BandD (swords-into-plowshares) wrote :

Still present in Jaunty (9.04)

Changed in linux (Ubuntu):
status: Incomplete → New
BandD (swords-into-plowshares) wrote :

This is the output of dmesg | tail when inserting and removing the MSpro card.

"[27878.948052] tifm_core: MemoryStick card detected in socket 0:1
[28162.566177] tifm0 : demand removing card from socket 0:1"

It doesn't mount automatically and I'm not sure how to mount it manually.

pulpo88 (zymurgent) wrote :

I verified today that kernel 2.6.28-11 supports the MS Pro Duo card reader on my Vaio PCG-7L1L. BUT the module is not provided by default in Jaunty!

I had to pull down the source, add CONFIG_MEMSTICK=m to the config, and build & install the modules myself. After that, volumes mounted automatically. No patches were necessary.

A lot of folks would like to see this module provided by default. This is common hardware and the driver's been around a while. Is it omitted just because it's marked upstream as "experimental," or was this an oversight?

dmesg:
tifm_core: MemoryStick card detected in socket 0:1
mspblk0: p1

lsmod:
mspro_block 23448 0
tifm_ms 14852 0
memstick 18332 2 mspro_block,tifm_ms

sentvid (sentvid) wrote :

Hi pulpo88,
I am sure about your comment and availability of the module in the src. But so far i couldnt succeed in compiling this module from source. Can you please help us achieve what you have achieved. A small write up will be of great help.

I am able to get the src and modify .config...Also tried make menuconfig to identify and enable Sony Memory Card Support. But make gives me following error

make[1]: *** No rule to make target `kernel/bounds.c', needed by `kernel/bounds.s'. Stop.
make: *** [prepare0] Error 2

Thanks in advance

pulpo88 (zymurgent) wrote :

To build the kernel I just followed the process detailed here:

https://help.ubuntu.com/community/Kernel/Compile

Basically:
sudo apt-get build-dep linux-image-`uname -r`
sudo apt-get source linux-image-`uname -r`
add CONFIG_MEMSTICK=m to debian/config/i386/config
AUTOBUILD=1 NOEXTRAS=1 skipabi=true fakeroot debian/rules binary-generic

Then I copied the newly-built modules from kernel/drivers/memstick to /lib/modules/...

I did not use the make command at all, though I suppose that method should work as well.

CONFIG_MEMSTICK still looks to be disabled for Karmic. Setting this to triaged for the kernel team to consider enabling. Thanks.

ogasawara@emiko:~/ubuntu-karmic/debian/config$ grep -rn "CONFIG_MEMSTICK" *
config.common.ports:1621:# CONFIG_MEMSTICK is not set
config.common.ubuntu:1756:# CONFIG_MEMSTICK is not set

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
tags: added: kconfig
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
milestone: none → karmic-alpha-6
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-10.32

---------------
linux (2.6.31-10.32) karmic; urgency=low

  [ Eric Miao ]

  * [Config] enable module support for memory stick
    - LP: #159951

  [ Tim Gardner ]

  * [Config] Unconditionally copy files from sub-flavours lists.
    - LP: #423426

 -- Tim Gardner <email address hidden> Thu, 10 Sep 2009 15:57:55 -0600

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Adam Niedling (krychek) wrote :

Why is this set to Fix Released? Precise is not able the read my Sony Memory Stick Duo. There are tons of duplicates of this bug: bug #878369, bug #222557, bug #776491, bug #774246, bug #775135.

Adam Niedling (krychek) on 2012-04-28
summary: - tifm_ms: Unknown symbol tifm_has_ms_pif
+ tifm_ms: Unknown symbol tifm_has_ms_pif / Sony Memory Stick is not
+ recognized
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
higuita (higuita) wrote :

Does your laptop have any bios option for enable powersave for the card reader? if yes, try to disable it and test, to check if it solves our problem.

I don't have that laptop anymore

On 17 June 2012 00:31, higuita <email address hidden> wrote:

> Does your laptop have any bios option for enable powersave for the card
> reader? if yes, try to disable it and test, to check if it solves our
> problem.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (222557).
> https://bugs.launchpad.net/bugs/159951
>
> Title:
> tifm_ms: Unknown symbol tifm_has_ms_pif / Sony Memory Stick is not
> recognized
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/159951/+subscriptions
>

Changed in linux:
status: Confirmed → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.